## Modulemd.Buildopts (Private) Modulemd.Buildopts (Private) — ModulemdBuildopts methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdBuildopts * | modulemd_buildopts_parse_yaml ()
gboolean | modulemd_buildopts_emit_yaml ()
gint | modulemd_buildopts_compare ()

## Description

## Functions

### modulemd_buildopts_parse_yaml ()

    ModulemdBuildopts *
    modulemd_buildopts_parse_yaml (yaml_parser_t *parser,
                                   gboolean strict,
                                   GError **error);

#### Parameters

parser | A libyaml parser object positioned at the beginning of a Buildopts entry in the YAML document. | [inout]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdBuildopts object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_buildopts_emit_yaml ()

    gboolean
    modulemd_buildopts_emit_yaml (ModulemdBuildopts *self,
                                  yaml_emitter_t *emitter,
                                  GError **error);

#### Parameters

self | This ModulemdBuildopts object. |
emitter | A libyaml emitter object positioned where a Buildopts belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the buildopts was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_buildopts_compare ()

    gint
    modulemd_buildopts_compare (ModulemdBuildopts *self_1,
                                ModulemdBuildopts *self_2);

#### Parameters

self_1 | A ModulemdBuildopts object. | [in]
self_2 | A ModulemdBuildopts object. | [in]

#### Returns

Less than zero if `self_1` sorts less than `self_2` , zero for equal, greater than zero if `self_1` is greater than `self_2` .

Since: 2.10